### Method

# Cogl Pipeline get_layer_texture

#### Declaration [src]

    CoglTexture*
    cogl_pipeline_get_layer_texture (
      CoglPipeline* pipeline,
      int layer_index
    )

#### Description

No description available.

#### Parameters

`layer_index`

  Type: `int`

  The index of the layer.

#### Return value

Type: `CoglTexture`

The texture that was set for the given layer of the pipeline or `NULL` if no texture was set.

The returned data is owned by the instance.